Notices


Reply
Thread Tools
Posts: 587 | Thanked: 1,615 times | Joined on Feb 2012 @ Germany
#41
Due to updates in the cssu repositority, the installation process from the thumb target has some errors.

I will discribe to make use of the GCC472 target from the VM. I think they must be also used if you set up a new target following this guide.

To make a new target you can delete the old one or go with a different name. Furthermore you need to download the rootstrap and some more packages, which you don't need to download if you go on with the already existing target.

Code:
sb-conf rm FREMANTLE_ARMEL_GCC472 -f
wget http://repository.maemo.org/stable/fremantle/armel/maemo-sdk-rootstrap_5.0_20.2010.36-2_armel.tgz
And follow this guide. When you run into errors come back here and have a look at my notes.


To make use of the already existing target follow these steps:

Code:
/scratchbox/login

sb-conf se FREMANTLE_ARMEL_GCC472

wget http://maemo.merlin1991.at/cssu/develdebs/gcc-4.7.2_fremantle_armel/sb-thumb-errata-provider_0.1-1_armel.deb

dpkg -i sb-thumb-errata-provider_0.1-1_armel.deb

echo "deb http://repository.maemo.org/community-testing/ fremantle free non-free" >> /etc/apt/sources.list
echo "deb-src http://repository.maemo.org/community-testing/ fremantle free" >> /etc/apt/sources.list

echo "deb http://maemo.merlin1991.at/cssu/community-thumb/ fremantle free non-free" >> /etc/apt/sources.list
echo "deb-src http://maemo.merlin1991.at/cssu/community-thumb/ fremantle free" >> /etc/apt/sources.list

apt-get remove maemo-core-debug

apt-get update

fakeroot apt-get upgrade
Errors were encountered while processing:
/var/cache/apt/archives/libssl0.9.8-dbg_0.9.8zh-1+maemo1+0m5+0cssu0_armel.deb
Code:
fakeroot apt-get -f install
Sub-process dpkg returned an error code (1)

Setting up libgtk2.0-0 (2:2.14.7-1maemo34+0cssu2+thumb0) ...
qemu: uncaught target signal 11 (Segmentation fault) - core dumped
dpkg: error processing libgtk2.0-0 (--configure):
subprocess installed post-installation script returned error exit status 126

Code:
vi /var/lib/dpkg/info/libgtk2.0-0.postinst
The command in the postinst script could not run, so we will comment out the following lines.

Code:
#if [ "$1" = configure ]; then
  # Regenerate theme caches which may need updating after gtk changes
#  if command -v hildon-theme-recache-all >/dev/null 2>&1; then
#    hildon-theme-recache-all
#  fi
#fi
There is another script which fails.

Code:
vi /var/lib/dpkg/info/libgtk2.0-bin.postinst
So we will comment out the following lines.

Code:
#/usr/sbin/update-gtk-immodules
#/usr/sbin/update-gdkpixbuf-loaders
Code:
fakeroot apt-get -f install

wget http://maemo.merlin1991.at/cssu/develdebs/gcc-4.7.2_fremantle_armel/packages/libstdc%2b%2b6-dev_4.7.2-0%2bcssu0_armel.deb

dpkg -i libstdc++6-dev_4.7.2-0+cssu0_armel.deb
It will complain about libstdc++6 on system is 4.2.1-4maemo13+0m5. This will be later fixed.

Code:
echo "export DEB_BUILD_OPTIONS=maemo-launcher,thumb,vfp" > /targets/FREMANTLE_ARMEL_GCC472.environment
echo "export PIXMAN_DISABLE=arm-neon" >> /targets/FREMANTLE_ARMEL_GCC472.environment

exit 

/scratchbox/login

fakeroot apt-get -f install

fakeroot apt-get upgrade

fakeroot apt-get install libcurl3

fakeroot apt-get install ke-recv

fakeroot apt-get install obexd
To install this clock-ui we need another resource.

Code:
echo "deb http://maemo.muarf.org/apt-mirror/mirror/downloads.maemo.nokia.com/fremantle/ssu/mr0 ./" >> /etc/apt/sources.list

fakeroot apt-get install clock-ui
These are some notes from my last struggle. I hope they are complete.
I don't know how important the gtk-immodules are but I guess for the sdk it is not so important.

GCC 4.7.2 does not produce thumb binaries by default, you should pass -mthumb if you want thumb resulting executables! without -mthumb it produces regular ARM ELFs
 

The Following User Says Thank You to Halftux For This Useful Post:
Reply

Tags
crosstool, image, qtsdk, scratchbox, toolchain

Thread Tools

 
Forum Jump


All times are GMT. The time now is 08:54.